From 52ae6d59e13efc1e232e8340a342bf61a98d887a Mon Sep 17 00:00:00 2001
From: Taiki Koshino <koshino@sraoss.co.jp>
Date: Mon, 14 Jul 2025 10:48:13 +0900
Subject: [PATCH v4] Doc: fix documentation for enum parameters reported as
 strings

Fix documentations for 6 parameters.
Japanese docs too.
"log_standby_delay"
"log_backend_messages"
"wd_lifecheck_method"
"memqcache_method"
"disable_load_balance_on_write"
"backend_clustering_mode"
---
 doc.ja/src/sgml/connection-pooling.sgml  |  2 +-
 doc.ja/src/sgml/connection-settings.sgml | 24 +++++++-------
 doc.ja/src/sgml/loadbalance.sgml         |  2 +-
 doc.ja/src/sgml/memcache.sgml            | 10 +++---
 doc.ja/src/sgml/stream-check.sgml        |  8 ++---
 doc.ja/src/sgml/watchdog.sgml            | 10 +++---
 doc/src/sgml/connection-pooling.sgml     |  2 +-
 doc/src/sgml/connection-settings.sgml    | 24 +++++++-------
 doc/src/sgml/loadbalance.sgml            |  2 +-
 doc/src/sgml/memcache.sgml               |  8 ++---
 doc/src/sgml/stream-check.sgml           |  8 ++---
 doc/src/sgml/watchdog.sgml               |  6 ++--
 src/sample/pgpool.conf.sample-stream     | 42 ++++++++++++------------
 13 files changed, 74 insertions(+), 74 deletions(-)

diff --git a/doc.ja/src/sgml/connection-pooling.sgml b/doc.ja/src/sgml/connection-pooling.sgml
index 50b7a23c6..e9c8253c7 100644
--- a/doc.ja/src/sgml/connection-pooling.sgml
+++ b/doc.ja/src/sgml/connection-pooling.sgml
@@ -1214,7 +1214,7 @@ local0.*    /var/log/pgpool.log
    </varlistentry>
 
    <varlistentry id="guc-log-backend-messages" xreflabel="log_backend_messages">
-    <term><varname>log_backend_messages</varname> (<type>boolean</type>)
+    <term><varname>log_backend_messages</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>log_backend_messages</varname> configuration parameter</primary>
diff --git a/doc.ja/src/sgml/connection-settings.sgml b/doc.ja/src/sgml/connection-settings.sgml
index f748f4cb4..0a39e05ff 100644
--- a/doc.ja/src/sgml/connection-settings.sgml
+++ b/doc.ja/src/sgml/connection-settings.sgml
@@ -976,9 +976,9 @@
   <para>
    このモードはもっともよく使われており、推薦できるクラスタリングモードです。
    このモードでは<productname>PostgreSQL</productname>が個々のサーバをレプリケーションします。
-   このモードを有効にするには<varname>backend_clustering_mode</varname>に'streaming_replication'を設定してください。
+   このモードを有効にするには<varname>backend_clustering_mode</varname>にstreaming_replicationを設定してください。
     <programlisting>
-backend_clustering_mode = 'streaming_replication'
+backend_clustering_mode = streaming_replication
     </programlisting>
    このモードでは127台までのストリーミングレプリケーションスタンバイサーバを使用できます。
    また、スタンバイサーバをまったく使用しないことも可能です。
@@ -1004,9 +1004,9 @@ backend_clustering_mode = 'streaming_replication'
    between <productname>PostgreSQL</> backends.
    -->
    このモードでは<productname>PostgreSQL</>間のデータレプリケーションを<productname>Pgpool-II</productname>に行わせます。
-   このモードを有効にするには<varname>backend_clustering_mode</varname>に'native_replication'を設定してください。
+   このモードを有効にするには<varname>backend_clustering_mode</varname>にnative_replicationを設定してください。
     <programlisting>
-backend_clustering_mode = 'native_replication'
+backend_clustering_mode = native_replication
     </programlisting>
    このモードでは127台までのレプリカサーバを使用できます。
    また、レプリカサーバをまったく使用しないことも可能です。
@@ -1575,9 +1575,9 @@ backend_clustering_mode = 'native_replication'
   <para>
    このモードは、ネイティブレプリケーションモードと似ていますが、更にノードをまたがる可視性の一貫性を保証します。
    実装は研究論文<xref linkend="mishima2009">に基づいています。
-   このモードを有効にするには<varname>backend_clustering_mode</varname>に'snapshot_isolation'を設定してください。
+   このモードを有効にするには<varname>backend_clustering_mode</varname>にsnapshot_isolationを設定してください。
     <programlisting>
-backend_clustering_mode = 'snapshot_isolation'
+backend_clustering_mode = snapshot_isolation
     </programlisting>
    たとえば、以下のようなノードにまたがる可視性の一貫性がないことからくるノード間のデータ不整合を防ぐことができます。
    ここで、S1, S2はセッションを表し、N1, N2はPostgreSQLのサーバ1と2を表します。
@@ -1646,9 +1646,9 @@ S2/N2: COMMIT;
 
   <para>
    このモードでは<productname>PostgreSQL</productname>が個々のサーバをレプリケーションします。
-   このモードを有効にするには<varname>backend_clustering_mode</varname>に'logical_replication'を設定してください。
+   このモードを有効にするには<varname>backend_clustering_mode</varname>にlogical_replicationを設定してください。
     <programlisting>
-backend_clustering_mode = 'logical_replication'
+backend_clustering_mode = logical_replication
     </programlisting>
    このモードでは127台までのロジカルレプリケーションサーバを使用できます。
    また、スタンバイサーバをまったく使用しないことも可能です。
@@ -1666,9 +1666,9 @@ backend_clustering_mode = 'logical_replication'
   <para>
    このモードでは<productname>Pgpool-II</productname>を<acronym>Slony-I</acronym>と組み合わせて使用します。
    Slony-Iが実際にデータのレプリケーションを行います。
-   このモードを有効にするには<varname>backend_clustering_mode</varname>に'slony'を設定してください。
+   このモードを有効にするには<varname>backend_clustering_mode</varname>にslonyを設定してください。
     <programlisting>
-backend_clustering_mode = 'slony'
+backend_clustering_mode = slony
     </programlisting>
    このモードでは127台までのレプリカサーバを使用できます。
    また、レプリカサーバをまったく使用しないことも可能です。
@@ -1689,9 +1689,9 @@ backend_clustering_mode = 'slony'
    このモードでは、<productname>Pgpool-II</>はデータベースの同期に関しては関与しません。
    システム全体に意味の有る動作をさせるのはユーザの責任となります。
    このモードでは負荷分散は<emphasis>できません</emphasis>。
-   このモードを有効にするには<varname>backend_clustering_mode</varname>に'raw'を設定してください。
+   このモードを有効にするには<varname>backend_clustering_mode</varname>にrawを設定してください。
     <programlisting>
-backend_clustering_mode = 'raw'
+backend_clustering_mode = raw
     </programlisting>
   </para>
  </sect2>
diff --git a/doc.ja/src/sgml/loadbalance.sgml b/doc.ja/src/sgml/loadbalance.sgml
index 670187180..87cfa8e97 100644
--- a/doc.ja/src/sgml/loadbalance.sgml
+++ b/doc.ja/src/sgml/loadbalance.sgml
@@ -1421,7 +1421,7 @@ app_name_redirect_preference_list &gt; database_redirect_preference_list &gt; us
    </varlistentry>
 
    <varlistentry id="guc-disable-load-balance-on-write" xreflabel="disable_load_balance_on_write">
-    <term><varname>disable_load_balance_on_write</varname> (<type>string</type>)
+    <term><varname>disable_load_balance_on_write</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>disable_load_balance_on_write</varname> configuration parameter</primary>
diff --git a/doc.ja/src/sgml/memcache.sgml b/doc.ja/src/sgml/memcache.sgml
index 6327cc207..0a6665138 100644
--- a/doc.ja/src/sgml/memcache.sgml
+++ b/doc.ja/src/sgml/memcache.sgml
@@ -256,7 +256,7 @@
   <variablelist>
 
    <varlistentry id="guc-memqcache-method" xreflabel="memqcache_method">
-    <term><varname>memqcache_method</varname> (<type>string</type>)
+    <term><varname>memqcache_method</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>memqcache_method</varname> configuration parameter</primary>
@@ -290,7 +290,7 @@
 
        <tbody>
 	<row>
-	 <entry><literal>'shmem'</literal></entry>
+	 <entry><literal>shmem</literal></entry>
 	 <!--
 	 <entry>Use shared memory</entry>
 	 -->
@@ -298,7 +298,7 @@
 	</row>
 
 	<row>
-	 <entry><literal>'memcached'</literal></entry>
+	 <entry><literal>memcached</literal></entry>
 	 <!--
 	 <entry>Use <ulink url="http://memcached.org/">memcached</ulink></entry>
 	 -->
@@ -338,9 +338,9 @@
 
      <para>
       <!--
-      Default is <literal>'shmem'</literal>.
+      Default is <literal>shmem</literal>.
       -->
-      デフォルトは<literal>'shmem'</literal>です。
+      デフォルトは<literal>shmem</literal>です。
      </para>
 
      <para>
diff --git a/doc.ja/src/sgml/stream-check.sgml b/doc.ja/src/sgml/stream-check.sgml
index 7295faef9..4b3a85e69 100644
--- a/doc.ja/src/sgml/stream-check.sgml
+++ b/doc.ja/src/sgml/stream-check.sgml
@@ -388,7 +388,7 @@ GRANT pg_monitor TO sr_check_user;
    </varlistentry>
 
   <varlistentry id="guc-log-standby-delay" xreflabel="log_standby_delay">
-   <term><varname>log_standby_delay</varname> (<type>string</type>)
+   <term><varname>log_standby_delay</varname> (<type>enum</type>)
     <indexterm>
      <!--
      <primary><varname>log_standby_delay</varname> configuration parameter</primary>
@@ -426,7 +426,7 @@ GRANT pg_monitor TO sr_check_user;
 
       <tbody>
        <row>
-	<entry><literal>'none'</literal></entry>
+	<entry><literal>none</literal></entry>
 	<!--
 	<entry>Never log the standby delay</entry>
 	-->
@@ -434,7 +434,7 @@ GRANT pg_monitor TO sr_check_user;
        </row>
 
        <row>
-	<entry><literal>'always'</literal></entry>
+	<entry><literal>always</literal></entry>
 	<!--
 	<entry>Log the standby delay, every time the replication delay is checked</entry>
 	-->
@@ -442,7 +442,7 @@ GRANT pg_monitor TO sr_check_user;
        </row>
 
        <row>
-	<entry><literal>'if_over_threshold'</literal></entry>
+	<entry><literal>if_over_threshold</literal></entry>
 	<!--
 	<entry>Only log the standby delay, when it exceeds <xref linkend="guc-delay-threshold"> value</entry>
 	-->
diff --git a/doc.ja/src/sgml/watchdog.sgml b/doc.ja/src/sgml/watchdog.sgml
index ceb546079..b4eff8db6 100644
--- a/doc.ja/src/sgml/watchdog.sgml
+++ b/doc.ja/src/sgml/watchdog.sgml
@@ -1320,7 +1320,7 @@
   <variablelist>
 
    <varlistentry id="guc-wd-lifecheck-method" xreflabel="wd_lifecheck_method">
-    <term><varname>wd_lifecheck_method</varname> (<type>string</type>)
+    <term><varname>wd_lifecheck_method</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>wd_lifecheck_method</varname> configuration parameter</primary>
@@ -1331,11 +1331,11 @@
     <listitem>
      <para>
       <!--
-      Specifies the method of life check. This can be either of <literal>'heartbeat'</literal> (default),
-      <literal>'query'</literal> or <literal>'external'</literal>.
+      Specifies the method of life check. This can be either of <literal>heartbeat</literal> (default),
+      <literal>query</literal> or <literal>external</literal>.
       -->
       死活監視の方法を指定します。
-      指定できる値は <literal>'heartbeat'</literal> (デフォルト)、<literal>'query'</literal>、または<literal>'external'</literal> です。
+      指定できる値は <literal>heartbeat</literal> (デフォルト)、<literal>query</literal>、または<literal>external</literal> です。
      </para>
      <para>
       <!--
@@ -1345,7 +1345,7 @@
       If there are no signal for a certain period, watchdog regards is as failure
       of the <productname>Pgpool-II</productname> .
       -->
-      <literal>'heartbeat'</literal>を指定した場合には、監視は「ハートビートモード」で行われます。
+      <literal>heartbeat</literal>を指定した場合には、監視は「ハートビートモード」で行われます。
       watchdog は一定間隔でハートビート信号（UDP パケット）を他の<productname>Pgpool-II</productname>へ送信します。
       またwatchdogは他の<productname>Pgpool-II</productname>から送られてくる信号を受信します。
       これが一定時間以上途絶えた場合にはその<productname>Pgpool-II</productname>に障害が発生したと判断します。
diff --git a/doc/src/sgml/connection-pooling.sgml b/doc/src/sgml/connection-pooling.sgml
index 9f6a751cd..f6ebb773c 100644
--- a/doc/src/sgml/connection-pooling.sgml
+++ b/doc/src/sgml/connection-pooling.sgml
@@ -791,7 +791,7 @@
    </varlistentry>
 
    <varlistentry id="guc-log-backend-messages" xreflabel="log_backend_messages">
-    <term><varname>log_backend_messages</varname> (<type>boolean</type>)
+    <term><varname>log_backend_messages</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>log_backend_messages</varname> configuration parameter</primary>
      </indexterm>
diff --git a/doc/src/sgml/connection-settings.sgml b/doc/src/sgml/connection-settings.sgml
index 262c76d05..0f78b9931 100644
--- a/doc/src/sgml/connection-settings.sgml
+++ b/doc/src/sgml/connection-settings.sgml
@@ -655,10 +655,10 @@
    This mode is most popular and recommended clustering mode. In this
    mode <productname>PostgreSQL</productname> is responsible to
    replicate each servers. To enable this mode, use
-   'streaming_replication' for
+   streaming_replication for
    <varname>backend_clustering_mode</varname>.
     <programlisting>
-backend_clustering_mode = 'streaming_replication'
+backend_clustering_mode = streaming_replication
     </programlisting>
    In this mode you can have up to 127 streaming replication standby servers.
    Also it is possible not to have standby server at all.
@@ -686,10 +686,10 @@ backend_clustering_mode = 'streaming_replication'
   <para>
    This mode makes the <productname>Pgpool-II</productname> to
    replicate data between <productname>PostgreSQL</productname>
-   backends.  To enable this mode, use 'native_replication' for
+   backends.  To enable this mode, use native_replication for
    <varname>backend_clustering_mode</varname>.
     <programlisting>
-backend_clustering_mode = 'native_replication'
+backend_clustering_mode = native_replication
     </programlisting>
    In this mode you can have up to 127 standby replication servers.
    Also it is possible not to have standby server at all.
@@ -1117,10 +1117,10 @@ backend_clustering_mode = 'native_replication'
    This mode is similar to the native replication mode except it adds
    the visibility consistency among nodes. The implementation is based
    on a research paper <xref linkend="mishima2009">.
-   To enable this mode, use 'snapshot_isolation' for
+   To enable this mode, use snapshot_isolation for
    <varname>backend_clustering_mode</varname>.
     <programlisting>
-backend_clustering_mode = 'snapshot_isolation'
+backend_clustering_mode = snapshot_isolation
     </programlisting>
    For example, you can avoid following inconsistency among nodes caused by the
    visibility inconsistency. Here S1 and S2 denotes sessions, while N1
@@ -1194,10 +1194,10 @@ default_transaction_isolation = 'repeatable read'
   <para>
    In this mode
    <productname>PostgreSQL</productname> is responsible to replicate
-   each servers. To enable this mode, use 'logical_replication' for
+   each servers. To enable this mode, use logical_replication for
    <varname>backend_clustering_mode</varname>.
     <programlisting>
-backend_clustering_mode = 'logical_replication'
+backend_clustering_mode = logical_replication
     </programlisting>
    In this mode you can have up to 127 logical replication standby servers.
    Also it is possible not to have standby server at all.
@@ -1218,10 +1218,10 @@ backend_clustering_mode = 'logical_replication'
   <para>
    This mode is used to couple <productname>Pgpool-II</productname>
    with <acronym>Slony-I</acronym>.  Slony-I is responsible for doing
-   the actual data replication. To enable this mode, use 'slony' for
+   the actual data replication. To enable this mode, use slony for
    <varname>backend_clustering_mode</varname>.
     <programlisting>
-backend_clustering_mode = 'slony'
+backend_clustering_mode = slony
     </programlisting>
    In this mode you can have up to 127 replica servers.  Also it is
    possible not to have replica server at all.
@@ -1247,9 +1247,9 @@ backend_clustering_mode = 'slony'
    In this mode, <productname>Pgpool-II</> does not care about the database synchronization.
    It's user's responsibility to make the whole system does a meaningful thing.
    Load balancing is <emphasis>not</emphasis> possible in the mode.
-   To enable this mode, use 'raw' for <varname>backend_clustering_mode</varname>.
+   To enable this mode, use raw for <varname>backend_clustering_mode</varname>.
    <programlisting>
-backend_clustering_mode = 'raw'
+backend_clustering_mode = raw
    </programlisting>
   </para>
  </sect2>
diff --git a/doc/src/sgml/loadbalance.sgml b/doc/src/sgml/loadbalance.sgml
index 2b186467a..ee19fabeb 100644
--- a/doc/src/sgml/loadbalance.sgml
+++ b/doc/src/sgml/loadbalance.sgml
@@ -1039,7 +1039,7 @@ app_name_redirect_preference_list &gt; database_redirect_preference_list &gt; us
    </varlistentry>
 
    <varlistentry id="guc-disable-load-balance-on-write" xreflabel="disable_load_balance_on_write">
-    <term><varname>disable_load_balance_on_write</varname> (<type>string</type>)
+    <term><varname>disable_load_balance_on_write</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>disable_load_balance_on_write</varname> configuration parameter</primary>
      </indexterm>
diff --git a/doc/src/sgml/memcache.sgml b/doc/src/sgml/memcache.sgml
index 9888b8865..065de41ee 100644
--- a/doc/src/sgml/memcache.sgml
+++ b/doc/src/sgml/memcache.sgml
@@ -192,7 +192,7 @@
   <variablelist>
 
    <varlistentry id="guc-memqcache-method" xreflabel="memqcache_method">
-    <term><varname>memqcache_method</varname> (<type>string</type>)
+    <term><varname>memqcache_method</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>memqcache_method</varname> configuration parameter</primary>
      </indexterm>
@@ -215,12 +215,12 @@
 
        <tbody>
 	<row>
-	 <entry><literal>'shmem'</literal></entry>
+	 <entry><literal>shmem</literal></entry>
 	 <entry>Use shared memory</entry>
 	</row>
 
 	<row>
-	 <entry><literal>'memcached'</literal></entry>
+	 <entry><literal>memcached</literal></entry>
 	 <entry>Use <ulink url="http://memcached.org/">memcached</ulink></entry>
 	</row>
 
@@ -245,7 +245,7 @@
       If you are not sure which memqcache_method to be used, start with <varname>shmem</varname>.
      </para>
      <para>
-      Default is <literal>'shmem'</literal>.
+      Default is <literal>shmem</literal>.
      </para>
 
      <para>
diff --git a/doc/src/sgml/stream-check.sgml b/doc/src/sgml/stream-check.sgml
index 8515b6510..d2ca3ca49 100644
--- a/doc/src/sgml/stream-check.sgml
+++ b/doc/src/sgml/stream-check.sgml
@@ -310,7 +310,7 @@ GRANT pg_monitor TO sr_check_user;
   </varlistentry>
 
   <varlistentry id="guc-log-standby-delay" xreflabel="log_standby_delay">
-   <term><varname>log_standby_delay</varname> (<type>string</type>)
+   <term><varname>log_standby_delay</varname> (<type>enum</type>)
     <indexterm>
      <primary><varname>log_standby_delay</varname> configuration parameter</primary>
     </indexterm>
@@ -334,17 +334,17 @@ GRANT pg_monitor TO sr_check_user;
 
       <tbody>
        <row>
-	<entry><literal>'none'</literal></entry>
+	<entry><literal>none</literal></entry>
 	<entry>Never log the standby delay</entry>
        </row>
 
        <row>
-	<entry><literal>'always'</literal></entry>
+	<entry><literal>always</literal></entry>
 	<entry>Log the standby delay if it's greater than 0, every time the replication delay is checked</entry>
        </row>
 
        <row>
-	<entry><literal>'if_over_threshold'</literal></entry>
+	<entry><literal>if_over_threshold</literal></entry>
 	<entry>Only log the standby delay, when it exceeds <xref linkend="guc-delay-threshold"> or <xref linkend="guc-delay-threshold-by-time"> value (the default)</entry>
        </row>
       </tbody>
diff --git a/doc/src/sgml/watchdog.sgml b/doc/src/sgml/watchdog.sgml
index 0a238f302..86812ce32 100644
--- a/doc/src/sgml/watchdog.sgml
+++ b/doc/src/sgml/watchdog.sgml
@@ -951,15 +951,15 @@ pgpool_port2 = 9999
   <variablelist>
 
    <varlistentry id="guc-wd-lifecheck-method" xreflabel="wd_lifecheck_method">
-    <term><varname>wd_lifecheck_method</varname> (<type>string</type>)
+    <term><varname>wd_lifecheck_method</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>wd_lifecheck_method</varname> configuration parameter</primary>
      </indexterm>
     </term>
     <listitem>
      <para>
-      Specifies the method of life check. This can be either of <literal>'heartbeat'</literal> (default),
-      <literal>'query'</literal> or <literal>'external'</literal>.
+      Specifies the method of life check. This can be either of <literal>heartbeat</literal> (default),
+      <literal>query</literal> or <literal>external</literal>.
      </para>
      <para>
       <literal>heartbeat</literal>: In this mode, watchdog sends the heartbeat signals (<acronym>UDP</acronym> packets)
diff --git a/src/sample/pgpool.conf.sample-stream b/src/sample/pgpool.conf.sample-stream
index 9478198d7..301289c92 100644
--- a/src/sample/pgpool.conf.sample-stream
+++ b/src/sample/pgpool.conf.sample-stream
@@ -19,12 +19,12 @@
 
 #------------------------------------------------------------------------------
 # BACKEND CLUSTERING MODE
-# Choose one of: 'streaming_replication', 'native_replication',
-#	'logical_replication', 'slony', 'raw' or 'snapshot_isolation'
+# Choose one of: streaming_replication, native_replication,
+#	logical_replication, slony, raw or snapshot_isolation
 # (change requires restart)
 #------------------------------------------------------------------------------
 
-backend_clustering_mode = 'streaming_replication'
+backend_clustering_mode = streaming_replication
 
 #------------------------------------------------------------------------------
 # CONNECTIONS
@@ -262,7 +262,7 @@ backend_clustering_mode = 'streaming_replication'
                                    # Log any backend messages
                                    # Valid values are none, terse and verbose
 
-#log_standby_delay = 'if_over_threshold'
+#log_standby_delay = if_over_threshold
                                    # Log standby delay
                                    # Valid values are combinations of always,
                                    # if_over_threshold, none
@@ -457,33 +457,33 @@ backend_clustering_mode = 'streaming_replication'
                                    # If off, SQL comments effectively prevent the judgment
                                    # (pre 3.4 behavior).
 
-#disable_load_balance_on_write = 'transaction'
+#disable_load_balance_on_write = transaction
                                    # Load balance behavior when write query is issued
                                    # in an explicit transaction.
                                    #
                                    # Valid values:
                                    #
-                                   # 'transaction' (default):
+                                   # transaction (default):
                                    #     if a write query is issued, subsequent
                                    #     read queries will not be load balanced
                                    #     until the transaction ends.
                                    #
-                                   # 'trans_transaction':
+                                   # trans_transaction:
                                    #     if a write query is issued, subsequent
                                    #     read queries in an explicit transaction
                                    #     will not be load balanced until the session ends.
                                    #
-                                   # 'dml_adaptive':
+                                   # dml_adaptive:
                                    #     Queries on the tables that have already been
                                    #     modified within the current explicit transaction will
                                    #     not be load balanced until the end of the transaction.
                                    #
-                                   # 'always':
+                                   # always:
                                    #     if a write query is issued, read queries will
                                    #     not be load balanced until the session ends.
                                    #
                                    # Note that any query not in an explicit transaction
-                                   # is not affected by the parameter except 'always'.
+                                   # is not affected by the parameter except always.
 
 #dml_adaptive_object_relationship_list= ''
                                    # comma separated list of object pairs
@@ -494,7 +494,7 @@ backend_clustering_mode = 'streaming_replication'
                                    # example: 'tb_t1:tb_t2,insert_tb_f_func():tb_f,tb_v:my_view'
                                    # Note: function name in this list must also be present in
                                    # the write_function_list
-                                   # only valid for disable_load_balance_on_write = 'dml_adaptive'.
+                                   # only valid for disable_load_balance_on_write = dml_adaptive.
 
 #statement_level_load_balance = off
                                    # Enables statement level load balancing
@@ -855,8 +855,8 @@ backend_clustering_mode = 'streaming_replication'
                                     # '' to disable monitoring
                                     # (change requires restart)
 
-#wd_lifecheck_method = 'heartbeat'
-                                    # Method of watchdog lifecheck ('heartbeat' or 'query' or 'external')
+#wd_lifecheck_method = heartbeat
+                                    # Method of watchdog lifecheck (heartbeat or query or external)
                                     # (change requires restart)
 #wd_interval = 10
                                     # lifecheck interval (sec) > 0
@@ -964,27 +964,27 @@ backend_clustering_mode = 'streaming_replication'
 #memory_cache_enabled = off
                                    # If on, use the memory cache functionality, off by default
                                    # (change requires restart)
-#memqcache_method = 'shmem'
-                                   # Cache storage method. either 'shmem'(shared memory) or
-                                   # 'memcached'. 'shmem' by default
+#memqcache_method = shmem
+                                   # Cache storage method. either shmem(shared memory) or
+                                   # memcached. shmem by default
                                    # (change requires restart)
 #memqcache_memcached_host = 'localhost'
                                    # Memcached host name or IP address. Mandatory if
-                                   # memqcache_method = 'memcached'.
+                                   # memqcache_method = memcached.
                                    # Defaults to localhost.
                                    # (change requires restart)
 #memqcache_memcached_port = 11211
-                                   # Memcached port number. Mandatory if memqcache_method = 'memcached'.
+                                   # Memcached port number. Mandatory if memqcache_method = memcached.
                                    # Defaults to 11211.
                                    # (change requires restart)
 #memqcache_total_size = 64MB
                                    # Total memory size in bytes for storing memory cache.
-                                   # Mandatory if memqcache_method = 'shmem'.
+                                   # Mandatory if memqcache_method = shmem.
                                    # Defaults to 64MB.
                                    # (change requires restart)
 #memqcache_max_num_cache = 1000000
                                    # Total number of cache entries. Mandatory
-                                   # if memqcache_method = 'shmem'.
+                                   # if memqcache_method = shmem.
                                    # Each cache entry consumes 48 bytes on shared memory.
                                    # Defaults to 1,000,000(45.8MB).
                                    # (change requires restart)
@@ -1002,7 +1002,7 @@ backend_clustering_mode = 'streaming_replication'
                                    # Must be smaller than memqcache_cache_block_size. Defaults to 400KB.
                                    # (change requires restart)
 #memqcache_cache_block_size = 1MB
-                                   # Cache block size in bytes. Mandatory if memqcache_method = 'shmem'.
+                                   # Cache block size in bytes. Mandatory if memqcache_method = shmem.
                                    # Defaults to 1MB.
                                    # (change requires restart)
 #memqcache_oiddir = '/var/log/pgpool/oiddir'
-- 
2.43.5

